How to get a warning before every update of just a set of specified packages?

Hi!

I use cryfs and they do not offer full backward compatibility. I had this issue when they updated from version 9 to 10. I was so scared that my information is lost. I do not want this to happen again.

Relevant GitHub issue: Will I still have access to my data after cryfs update? · Issue #332 · cryfs/cryfs · GitHub.

Thanks.

Hi @silviubogan :wink:

You can just ignore the package in pamac-manager:

grafik

OR

edit /etc/pacman.conf on line:

#IgnorePkg   =
#IgnorePkg   =
#IgnorePkg   =
#IgnoreGroup =
1 Like

You could use a utility script like this

And amend to fit your purpose

#!/usr/bin/env bash
reboot="(ucode|cryptsetup|linux|nvidia|mesa|systemd|wayland|xf86-video|xorg)"
if [[ $(which yay) =~ (yay) ]]; then
    updates=$(checkupdates; yay -Qua)
else
    updates=$(checkupdates)
fi
echo "$updates"
if [[ $updates =~ $reboot ]]; then
    echo "Updating possibly requires system restart ..."
fi
if [[ $updates =~ 'cryfs' ]]; then
    echo "Oh-oh - watch out for cryfs update ..."
fi
4 Likes